const prefStringClick2TabBookmark = "click2tab.tab.bookmark";
const prefStringClick2TabHistory = "click2tab.tab.history";
const prefStringClick2TabUseAltKey = "click2tab.tab.useAltKey";
const prefStringClick2TabClearHistory = "click2tab.tab.clearHistory";

// Based on the preference settings, change the browserTarget accordingly to open item in new tab
// when current tab isn't blank
function whereToOpenLinkClick2Tab(aEvent, prefString, ignoreAlt)
{
    var browserTarget = whereToOpenLink(aEvent);

    var prefService = Components.classes['@mozilla.org/preferences-service;1']
                                .getService(Components.interfaces.nsIPrefService).getBranch(null);
    if (prefService.getBoolPref(prefString))
        if (!ignoreAlt && prefService.getBoolPref(prefStringClick2TabUseAltKey) && aEvent.altKey)
            browserTarget = "current";
        else
        {
            var w = getTopWin();
            var gBrowser = w.document.getElementById("content");
            if ((browserTarget == "current") && gBrowser.mCurrentBrowser.currentURI.spec != "about:blank")
                browserTarget = "tab";
        }

    return browserTarget;
}